docusign.envelope-recipients.get-recipients
Retrieves the status of all recipients in a single envelope and identifies the current recipient in the routing list. This method can also be used to retrieve the tab values. The currentRoutingOrder property of the response contains the routingOrder value of the current recipient indicating that the envelope has been sent to the recipient, but the recipient has not completed their actions. ### Related topics - How to list envelope recipients - How to retrieve ID Evidence events - How to retrieve ID Evidence media
Gets the status of recipients for an envelope.
Overview
| Property | Value |
|---|---|
| Workflow type | Atomic |
| Library | App-docusign |
| Version | 1.0 |
Input Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
include_anchor_tab_locations | string | No | — | When true and include_tabs value is set to true, all tabs with anchor tab properties are included in the response. |
include_extended | string | No | — | When true, the extended properties are included in the response. |
include_metadata | string | No | — | Boolean value that specifies whether to include metadata associated with the recipients (for envelopes only, not templates). |
include_tabs | string | No | — | When true, the tab information associated with the recipient is included in the response. |
Output Schema
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
base_url | string | Yes | — | Docusign API root, e.g. https://<host>/api |
api_token | string | No | — | Bearer token; omit to use the workflow's token env var |
accountid | string | Yes | — | The external account number (int) or account ID GUID. |
envelopeid | string | Yes | — | The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec |
include_anchor_tab_locations | string | No | — | When true and include_tabs value is set to true, all tabs with anchor tab properties are included in the response. |
include_extended | string | No | — | When true, the extended properties are included in the response. |
include_metadata | string | No | — | Boolean value that specifies whether to include metadata associated with the recipients (for envelopes only, not templates). |
include_tabs | string | No | — | When true, the tab information associated with the recipient is included in the response. |
status_code | integer | No | — | HTTP status code of the completed call |
response | json | No | — | Parsed JSON response body |
failure_reason | string | No | — | — |
failure_type | string | No | — | — |
failed_at | string | No | — | — |
failed_step | string | No | — | — |
failed_layer | string | No | — | — |
failed_at_state | string | No | — | — |
error | string | No | — | — |
error_type | string | No | — | — |
States
| State | Initial | Terminal | Success | Auto-advance | Description |
|---|---|---|---|---|---|
pending | Yes | No | — | execute | Waiting to call GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients |
completed | No | Yes | Yes | — | HTTP call succeeded |
failed | No | Yes | No | — | HTTP call failed |
State Diagram
Transitions
| From | Action | To | Description |
|---|---|---|---|
pending | execute | completed | Perform GET /v2.1/accounts/{accountId}/envelopes/{envelopeId}/recipients |
* (any state) | fail | failed | Record the failure reason |
API Usage
bash
POST /api/workflows/start
Content-Type: application/json
{
"workflow_type": "docusign.envelope-recipients.get-recipients",
"initial_data": {
"base_url": "value",
"accountid": "value",
"envelopeid": "value"
}
}